Skip to Content

POST /provider/search

Search Provider

Search providers — composable infra architecture.

Request Body (SearchProviderApiRequest)

FieldTypeRequiredDescription
searchstringNo—
filter_department_idsstring[]No—
filter_model_idsstring[]No—
filter_statusstring[]No—
department_searchstringNo—
model_searchstringNo—
page_sizeintegerNo—
page_offsetintegerNo—
snapshot_keystringNoCache snapshot key for consistent reads across related requests

Response (ListProviderApiResponse)

FieldTypeRequiredDescription
actor_namestringNoDisplay name of the current actor
providersListProviderApiProvider[]NoList of provider entries
department_filterListFilterSectionNoDepartment filter options
model_filterListFilterSectionNoModel filter options
status_filterListFilterSectionNoStatus filter options
flag_filterListFilterSectionNoFilter options for flags in list UI
total_countintegerNoTotal number of providers
import_fieldsImportField[]NoCSV import column schema for the bulk-import dialog
Last updated on